<?php

namespace Drp\AdfsAuthentication;

use Illuminate\Database\Eloquent\Collection;

trait AdfsUserTrait
{

    /**
     * @return mixed
     */
    public function getIdentifier()
    {
        return $this->id;
    }

    /**
     * Get all of the access tokens for the user.
     *
     * @return \Illuminate\Database\Eloquent\Collection
     */
    public function adfsTokens() : Collection
    {
        return $this->hasMany(AdfsOAuthToken::class, 'user_id')->orderBy('created_at', 'desc');
    }
}
