<?php

namespace Drp\AdfsAuthentication\Commands;

use Drp\AdfsAuthentication\AdfsHandler;
use Illuminate\Console\Command;

class RefreshExpiringTokens extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'tokens:refresh';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Refresh expiring oAuth access tokens';

    /**
     * @var ADFSHandler
     */
    protected $handler;

    /**
     * RefreshExpiringTokens constructor.
     * @param ADFSHandler $handler
     */
    public function __construct(ADFSHandler $handler)
    {
        parent::__construct();
        $this->handler = $handler;
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $this->handler->refreshAccessTokens();
    }
}
